Page MenuHomePhabricator

Some "(Diffusion)" links missing or broken after upgrade
Closed, ResolvedPublic

Description

Per the email from Gergo on the wiktitech-l gerrit upgrade thread, the links to Diffusion are either missing or broken in some cases.

  1. It is present (and working) next to the current commit sha1 (see https://gerrit.wikimedia.org/r/#/c/326543/ )
  2. It is missing from next to the parent commit sha1
  3. They are broken at the top of the diff view (eg: https://gerrit.wikimedia.org/r/#/c/326543/1/make-wmf-branch/MakeWmfBranch.php )

Details

Related Gerrit Patches:
operations/puppet : productionGerrit: Fix gitweb (diffusion) file links

Event Timeline

greg created this task.Dec 13 2016, 9:41 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 13 2016, 9:41 PM

@greg could you paste the link (diffusion) link that is broken please?

I think I fixed it in https://gerrit.wikimedia.org/r/#/c/326163/

greg added a comment.Dec 13 2016, 9:45 PM

@Paladox Did you try the two at the top of the linked reference I gave in my original report? https://gerrit.wikimedia.org/r/#/c/326543/1/make-wmf-branch/MakeWmfBranch.php

Change 326163 had a related patch set uploaded (by Paladox):
Gerrit: Fix gitweb (diffusion) file links

https://gerrit.wikimedia.org/r/326163

Actually that patch fixes both sides so ignore ^^ that comment.

Change 326163 merged by Dzahn:
Gerrit: Fix gitweb (diffusion) file links

https://gerrit.wikimedia.org/r/326163

Dzahn added a subscriber: Dzahn.Dec 14 2016, 12:08 AM

This has been merged but currently puppet is disabled on cobalt (i think from the version upgrade) so it has not been applied yet. I did confirm that fix.

Mentioned in SAL (#wikimedia-operations) [2016-12-14T00:21:39Z] <mutante> gerrit restarting to apply fix for diffusion links (T153130)

puppet re-enabled, change applied, gerrit service restarted.

Paladox closed this task as Resolved.Dec 14 2016, 12:25 AM
Paladox claimed this task.

@Dzahn thanks for merging.

Just tested again and it works.

Closing as resolved.

Please re open if the problem still happends.

Links in example URL work now.

Tgr added a comment.Dec 14 2016, 12:58 AM

Thanks all!

your welcome.